Subject: Re: [MAINTAINERS SUMMIT] Device Passthrough Considered Harmful?

From: Greg KH <[email-masked]>
Date: Mon, 29 Jul 2024 08:10:21 +0200

On Sun, Jul 28, 2024 at 11:49:44AM -0400, James Bottomley wrote:
> On Sun, 2024-07-28 at 17:16 +0200, Greg KH wrote:
> > On Sun, Jul 28, 2024 at 02:18:26PM +0300, Laurent Pinchart wrote:
> > > Hi Dan,
> > > 
> > > On Fri, Jul 26, 2024 at 05:16:08PM -0700, Dan Williams wrote:
> > > > Laurent Pinchart wrote:
> > > > > I know this is a topic proposed for the maintainers summit, but
> > > > > given the number of people who seem to have an opinion and be
> > > > > interested in dicussing it, would a session at LPC be a better
> > > > > candidate ? I don't expect the maintainer summit to invite all
> > > > > relevant experts from all subsystems, that would likely
> > > > > overflow the room.
> > > > > 
> > > > > The downside of an LPC session is that it could easily turn
> > > > > into a heated stage fight, and there are probably also quite a
> > > > > few arguments that can't really be made in the open :-S
> > > > 
> > > > A separate LPC session for a subsystem or set of subsystems to
> > > > explore local passthrough policy makes sense, but that is not the
> > > > primary motivation for also requesting a Maintainer Summit topic
> > > > slot. The primary motivation is discussing the provenance and
> > > > navigation of cross-subsystem NAKs especially in an environment
> > > > where the lines between net, mem, and storage are increasingly
> > > > blurry at the device level.
> > > 
> > > Would there be enough space at the maintainers' summit for all the
> > > relevant people to join the discussion ?
> > 
> > Who exactly would you consider the "relevant people" here?  It's been
> > a wide-ranging conversation/thread :)
> 
> This is a bit of a trick question, since there seem to be three
> separate but intertwined things here
> 
>    1. What to do about cross subsystem NAKs (as in how far does one
>       subsystem have the ability to NAK something another does because
>       they fear it will impact them ... passthrough being only one
>       example).
>    2. Industry education to help manufacturers making bad decisions
>       about openness and APIs make better ones that actually benefit
>       their business in the long run.
>    3. Standards for open drivers (i.e. is passthrough always evil).
> 
> 1. is definitely Maintainer Summit material.

And to ask again, who do you should participate in this?

> 2. was something the LF used to help us with but seems to have
> foundered of late (I think on the general assumption that CNCF gets it
> right, so we can stop pushing)

Based on the number of meetings and trips I keep having with different
companies over the past years, 2. is not something that the LF is no
longer doing, as they fund me doing this all the time.  Including
visiting and educating your current employer about these very issues
recently :)

So don't fall into the "because it's not done in a loud way it must not
be happening" trap here please.

thanks,

greg k-h